summaryrefslogtreecommitdiff
path: root/dev-python/jsonpointer
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/jsonpointer
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/jsonpointer')
-rw-r--r--dev-python/jsonpointer/Manifest1
-rw-r--r--dev-python/jsonpointer/jsonpointer-2.0-r1.ebuild19
-rw-r--r--dev-python/jsonpointer/jsonpointer-2.0.ebuild21
-rw-r--r--dev-python/jsonpointer/metadata.xml21
4 files changed, 62 insertions, 0 deletions
diff --git a/dev-python/jsonpointer/Manifest b/dev-python/jsonpointer/Manifest
new file mode 100644
index 000000000000..fcaf0117e116
--- /dev/null
+++ b/dev-python/jsonpointer/Manifest
@@ -0,0 +1 @@
+DIST jsonpointer-2.0.tar.gz 8699 BLAKE2B 7b52955aa691a1bba327df6674704503b009101d0dd94587620a684ca9310128e3afcc62cedabd92106deffc3a6a3434a72123fc804224ae68ade8751462bf14 SHA512 e8e2b03c12c3fc5f65816fc71d1c07135ef74a0c912286f5b8bef2d9e21b8ae6e766d1aa2104b3eeb0e53928034321f25b203386ac3f5641b54b0641f6a08137
diff --git a/dev-python/jsonpointer/jsonpointer-2.0-r1.ebuild b/dev-python/jsonpointer/jsonpointer-2.0-r1.ebuild
new file mode 100644
index 000000000000..5250c3905761
--- /dev/null
+++ b/dev-python/jsonpointer/jsonpointer-2.0-r1.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_{6..9}} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Identify specific nodes in a JSON document (according to draft 08)"
+HOMEPAGE="https://github.com/stefankoegl/python-json-pointer https://pypi.org/project/jsonpointer/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/jsonpointer/jsonpointer-2.0.ebuild b/dev-python/jsonpointer/jsonpointer-2.0.ebuild
new file mode 100644
index 000000000000..dd6130470fee
--- /dev/null
+++ b/dev-python/jsonpointer/jsonpointer-2.0.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{6,7} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Identify specific nodes in a JSON document (according to draft 08)"
+HOMEPAGE="https://github.com/stefankoegl/python-json-pointer https://pypi.org/project/jsonpointer/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ~arm64 ppc64 x86 ~amd64-linux ~x86-linux"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ "${PYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/jsonpointer/metadata.xml b/dev-python/jsonpointer/metadata.xml
new file mode 100644
index 000000000000..daf6f4ba66a0
--- /dev/null
+++ b/dev-python/jsonpointer/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>prometheanfire@gentoo.org</email>
+ <name>Matthew Thode</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription lang="en">
+ Identify specific nodes in a JSON document (according to draft 08)
+ http://tools.ietf.org/html/draft-ietf-appsawg-json-pointer-08
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">jsonpointer</remote-id>
+ <remote-id type="github">stefankoegl/python-json-pointer</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>